## optcomp 1.5

=== debian/changelog ===
optcomp (1.5-1) unstable; urgency=low

  * Initial release (Closes: #736908)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jan 2014 15:33:11 +0100

## optcomp 1.6

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

ifneq "$(NO_EXECUTABLES)" ""
_DISABLE_EXES?= --disable-binaries
endif

# Set to setup.exe for the release
SETUP := setup.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	sed '/^#/D' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS) $(_DISABLE_EXES)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS) $(_DISABLE_EXES)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
optcomp (1.6-3build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:43 +0000

optcomp (1.6-3) unstable; urgency=medium

  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Sep 2019 12:57:15 +0200

optcomp (1.6-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 11:33:09 +0200

optcomp (1.6-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Aug 2014 10:49:19 +0200

=== debian/control ===
Source: optcomp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml,
 ocaml-findlib (>= 1.4),
 camlp4,
 ocamlbuild,
 ocaml-nox
Standards-Version: 3.9.5
Section: ocaml
Homepage: https://github.com/diml/optcomp
Vcs-Browser: https://salsa.debian.org/ocaml-team/optcomp
Vcs-Git: https://salsa.debian.org/ocaml-team/optcomp.git

Package: optcomp
Architecture: any
Depends:
 liboptcomp-camlp4-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax extension for optional compilation with cpp-like directives (tools)
 Optcomp is a syntax extension which handles #if, #else, ... directives
 in OCaml source files. Compared to cpp:
  * it does not interpret //, /*, and */ as comment delimiters
  * it does not complains about missing '
  * it is easier to integrate in the build process when using other
    camlp4 syntax extensions
  * it does not do macro expansion while cpp does
 Compared to pa_macro, it does not require code that will be dropped to
 be valid OCaml code. This can be useful for code that optionnally uses
 GADTs, but can be compiled with older versions of OCaml.
 .
 This package contains command-line tools.

Package: liboptcomp-camlp4-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: syntax extension for optional compilation with cpp-like directives (library)
 Optcomp is a syntax extension which handles #if, #else, ... directives
 in OCaml source files. Compared to cpp:
  * it does not interpret //, /*, and */ as comment delimiters
  * it does not complains about missing '
  * it is easier to integrate in the build process when using other
    camlp4 syntax extensions
  * it does not do macro expansion while cpp does
 Compared to pa_macro, it does not require code that will be dropped to
 be valid OCaml code. This can be useful for code that optionnally uses
 GADTs, but can be compiled with older versions of OCaml.
 .
 This package contains the syntax extension as a camlp4 module.

=== debian/watch ===
version=3
https://github.com/diml/optcomp/releases /.*/archive/([\d\.]+)\.tar\.gz
